clang 10.0.0git

Public Member Functions | List of all members
clang::DefaultFilterCCC Class Referencefinal

`#include "clang/Sema/TypoCorrection.h"`

Inheritance diagram for clang::DefaultFilterCCC:
[legend]
Collaboration diagram for clang::DefaultFilterCCC:
[legend]

## Public Member Functions
| DefaultFilterCCC (IdentifierInfo *Typo=nullptr, NestedNameSpecifier *TypoNNS=nullptr)
std::unique_ptr< CorrectionCandidateCallback > | clone () override
| Clone this CorrectionCandidateCallback. More...
Public Member Functions inherited from clang::CorrectionCandidateCallback
| CorrectionCandidateCallback (IdentifierInfo *Typo=nullptr, NestedNameSpecifier *TypoNNS=nullptr)
virtual | ~CorrectionCandidateCallback ()=default
virtual bool | ValidateCandidate (const TypoCorrection &candidate)
| Simple predicate used by the default RankCandidate to determine whether to return an edit distance of 0 or InvalidDistance. More...
virtual unsigned | RankCandidate (const TypoCorrection &candidate)
| Method used by Sema::CorrectTypo to assign an "edit distance" rank to a candidate (where a lower value represents a better candidate), or returning InvalidDistance if the candidate is not at all viable. More...
void | setTypoName (IdentifierInfo *II)
void | setTypoNNS (NestedNameSpecifier *NNS)

## Additional Inherited Members
Public Attributes inherited from clang::CorrectionCandidateCallback
bool | WantTypeSpecifiers = true
bool | WantExpressionKeywords = true
bool | WantCXXNamedCasts = true
bool | WantFunctionLikeCasts = true
bool | WantRemainingKeywords = true
bool | WantObjCSuper = false
bool | IsObjCIvarLookup = false
bool | IsAddressOfOperand = false
Static Public Attributes inherited from clang::CorrectionCandidateCallback
static const unsigned | InvalidDistance = TypoCorrection::InvalidDistance
Protected Member Functions inherited from clang::CorrectionCandidateCallback
bool | MatchesTypo (const TypoCorrection &candidate)
Protected Attributes inherited from clang::CorrectionCandidateCallback
IdentifierInfo * | Typo
NestedNameSpecifier * | TypoNNS

## Detailed Description

Definition at line 352 of file TypoCorrection.h.

## Constructor & Destructor Documentation

## ◆ DefaultFilterCCC()

clang::DefaultFilterCCC::DefaultFilterCCC | ( | IdentifierInfo * | Typo = `nullptr`,
|  | NestedNameSpecifier * | TypoNNS = `nullptr`
| ) |  |
| inline explicit

Definition at line 354 of file TypoCorrection.h.

## Member Function Documentation

## ◆ clone()

std::unique_ptr<CorrectionCandidateCallback> clang::DefaultFilterCCC::clone | ( |  | ) |
| inline override virtual

Clone this CorrectionCandidateCallback.

CorrectionCandidateCallbacks are initially stack-allocated. However in case where delayed typo-correction is done we need to move the callback to storage with a longer lifetime. Every class deriving from CorrectionCandidateCallback must implement this method.

Implements clang::CorrectionCandidateCallback.

Definition at line 358 of file TypoCorrection.h.

The documentation for this class was generated from the following file:

- include/clang/Sema/TypoCorrection.h